# -*- encoding: utf-8 -*-
# stub: dry-initializer 3.1.1 ruby lib

Gem::Specification.new do |s|
  s.name = "dry-initializer".freeze
  s.version = "3.1.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "allowed_push_host" => "https://rubygems.org", "bug_tracker_uri" => "https://github.com/dry-rb/dry-initializer/issues", "changelog_uri" => "https://github.com/dry-rb/dry-initializer/blob/master/CHANGELOG.md", "source_code_uri" => "https://github.com/dry-rb/dry-initializer" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Vladimir Kochnev (marshall-lee)".freeze, "Andrew Kozin (nepalez)".freeze]
  s.date = "2022-01-19"
  s.description = "DSL for declaring params and options of the initializer".freeze
  s.email = ["andrew.kozin@gmail.com".freeze]
  s.files = ["CHANGELOG.md".freeze, "LICENSE".freeze, "README.md".freeze, "dry-initializer.gemspec".freeze, "lib/dry-initializer.rb".freeze, "lib/dry/initializer.rb".freeze, "lib/dry/initializer/builders.rb".freeze, "lib/dry/initializer/builders/attribute.rb".freeze, "lib/dry/initializer/builders/initializer.rb".freeze, "lib/dry/initializer/builders/reader.rb".freeze, "lib/dry/initializer/builders/signature.rb".freeze, "lib/dry/initializer/config.rb".freeze, "lib/dry/initializer/definition.rb".freeze, "lib/dry/initializer/dispatchers.rb".freeze, "lib/dry/initializer/dispatchers/build_nested_type.rb".freeze, "lib/dry/initializer/dispatchers/check_type.rb".freeze, "lib/dry/initializer/dispatchers/prepare_default.rb".freeze, "lib/dry/initializer/dispatchers/prepare_ivar.rb".freeze, "lib/dry/initializer/dispatchers/prepare_optional.rb".freeze, "lib/dry/initializer/dispatchers/prepare_reader.rb".freeze, "lib/dry/initializer/dispatchers/prepare_source.rb".freeze, "lib/dry/initializer/dispatchers/prepare_target.rb".freeze, "lib/dry/initializer/dispatchers/unwrap_type.rb".freeze, "lib/dry/initializer/dispatchers/wrap_type.rb".freeze, "lib/dry/initializer/dsl.rb".freeze, "lib/dry/initializer/mixin.rb".freeze, "lib/dry/initializer/mixin/local.rb".freeze, "lib/dry/initializer/mixin/root.rb".freeze, "lib/dry/initializer/struct.rb".freeze, "lib/dry/initializer/undefined.rb".freeze, "lib/dry/initializer/version.rb".freeze, "lib/tasks/benchmark.rake".freeze, "lib/tasks/profile.rake".freeze]
  s.homepage = "https://dry-rb.org/gems/dry-initializer".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.7.0".freeze)
  s.rubygems_version = "3.2.33".freeze
  s.summary = "DSL for declaring params and options of the initializer".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<rspec>.freeze, [">= 0"])
  else
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<rspec>.freeze, [">= 0"])
  end
end

